Changeset 1446


Ignore:
Timestamp:
May 1, 2010 9:13:26 AM (10 years ago)
Author:
stefan
Message:

switch to BuildTools?/trunk; rerun autotools

Location:
branches/split
Files:
11 edited

Legend:

Unmodified
Added
Removed
  • branches/split

    • Property svn:externals
      •  

        old new  
        1 BuildTools        https://projects.coin-or.org/svn/BuildTools/branches/split
         1BuildTools        https://projects.coin-or.org/svn/BuildTools/trunk
        22#Data/miplib3       https://projects.coin-or.org/svn/Data/stable/1.0/miplib3
  • branches/split/Cbc/Makefile.in

    r1445 r1446  
    136136CBC_BUILD_CBC_GENERIC_FALSE = @CBC_BUILD_CBC_GENERIC_FALSE@
    137137CBC_BUILD_CBC_GENERIC_TRUE = @CBC_BUILD_CBC_GENERIC_TRUE@
     138CBC_SVN_REV = @CBC_SVN_REV@
    138139CC = @CC@
    139140CCDEPMODE = @CCDEPMODE@
     
    322323have_automake = @have_automake@
    323324have_svn = @have_svn@
     325have_svnversion = @have_svnversion@
    324326host = @host@
    325327host_alias = @host_alias@
  • branches/split/Cbc/configure

    r1445 r1446  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA REQUIREDPACKAGES COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA REQUIREDPACKAGES COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    17531753
    17541754
     1755#Set the project's version number
     1756if test "xCbc" != x; then
     1757
     1758cat >>confdefs.h <<_ACEOF
     1759#define CBC_VERSION "$PACKAGE_VERSION"
     1760_ACEOF
     1761
     1762fi
     1763
     1764#Set the project's SVN revision number
     1765# Extract the first word of "svnversion", so it can be a program name with args.
     1766set dummy svnversion; ac_word=$2
     1767echo "$as_me:$LINENO: checking for $ac_word" >&5
     1768echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1769if test "${ac_cv_prog_have_svnversion+set}" = set; then
     1770  echo $ECHO_N "(cached) $ECHO_C" >&6
     1771else
     1772  if test -n "$have_svnversion"; then
     1773  ac_cv_prog_have_svnversion="$have_svnversion" # Let the user override the test.
     1774else
     1775as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1776for as_dir in $PATH
     1777do
     1778  IFS=$as_save_IFS
     1779  test -z "$as_dir" && as_dir=.
     1780  for ac_exec_ext in '' $ac_executable_extensions; do
     1781  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1782    ac_cv_prog_have_svnversion="yes"
     1783    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1784    break 2
     1785  fi
     1786done
     1787done
     1788
     1789  test -z "$ac_cv_prog_have_svnversion" && ac_cv_prog_have_svnversion="no"
     1790fi
     1791fi
     1792have_svnversion=$ac_cv_prog_have_svnversion
     1793if test -n "$have_svnversion"; then
     1794  echo "$as_me:$LINENO: result: $have_svnversion" >&5
     1795echo "${ECHO_T}$have_svnversion" >&6
     1796else
     1797  echo "$as_me:$LINENO: result: no" >&5
     1798echo "${ECHO_T}no" >&6
     1799fi
     1800
     1801if test "x$have_svnversion" = xyes && test "xCbc" != x; then
     1802
     1803  CBC_SVN_REV=`cd $srcdir/$coin_has_cbc ; svnversion`
     1804  if test $CBC_SVN_REV != exported; then
     1805
     1806cat >>confdefs.h <<_ACEOF
     1807#define CBC_SVN_REV "$CBC_SVN_REV"
     1808_ACEOF
     1809
     1810  fi
     1811fi
     1812
    17551813# We set the following variable so that we know later in AC_COIN_FINALIZE
    17561814# that we are in a project main directory
     
    58455903*-*-irix6*)
    58465904  # Find out which ABI we are using.
    5847   echo '#line 5847 "configure"' > conftest.$ac_ext
     5905  echo '#line 5905 "configure"' > conftest.$ac_ext
    58485906  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    58495907  (eval $ac_compile) 2>&5
     
    69797037
    69807038# Provide some information about the compiler.
    6981 echo "$as_me:6981:" \
     7039echo "$as_me:7039:" \
    69827040     "checking for Fortran 77 compiler version" >&5
    69837041ac_compiler=`set X $ac_compile; echo $2`
     
    80468104   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80478105   -e 's:$: $lt_compiler_flag:'`
    8048    (eval echo "\"\$as_me:8048: $lt_compile\"" >&5)
     8106   (eval echo "\"\$as_me:8106: $lt_compile\"" >&5)
    80498107   (eval "$lt_compile" 2>conftest.err)
    80508108   ac_status=$?
    80518109   cat conftest.err >&5
    8052    echo "$as_me:8052: \$? = $ac_status" >&5
     8110   echo "$as_me:8110: \$? = $ac_status" >&5
    80538111   if (exit $ac_status) && test -s "$ac_outfile"; then
    80548112     # The compiler can only warn and ignore the option if not recognized
     
    83148372   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83158373   -e 's:$: $lt_compiler_flag:'`
    8316    (eval echo "\"\$as_me:8316: $lt_compile\"" >&5)
     8374   (eval echo "\"\$as_me:8374: $lt_compile\"" >&5)
    83178375   (eval "$lt_compile" 2>conftest.err)
    83188376   ac_status=$?
    83198377   cat conftest.err >&5
    8320    echo "$as_me:8320: \$? = $ac_status" >&5
     8378   echo "$as_me:8378: \$? = $ac_status" >&5
    83218379   if (exit $ac_status) && test -s "$ac_outfile"; then
    83228380     # The compiler can only warn and ignore the option if not recognized
     
    84188476   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84198477   -e 's:$: $lt_compiler_flag:'`
    8420    (eval echo "\"\$as_me:8420: $lt_compile\"" >&5)
     8478   (eval echo "\"\$as_me:8478: $lt_compile\"" >&5)
    84218479   (eval "$lt_compile" 2>out/conftest.err)
    84228480   ac_status=$?
    84238481   cat out/conftest.err >&5
    8424    echo "$as_me:8424: \$? = $ac_status" >&5
     8482   echo "$as_me:8482: \$? = $ac_status" >&5
    84258483   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84268484   then
     
    1076310821  lt_status=$lt_dlunknown
    1076410822  cat > conftest.$ac_ext <<EOF
    10765 #line 10765 "configure"
     10823#line 10823 "configure"
    1076610824#include "confdefs.h"
    1076710825
     
    1086310921  lt_status=$lt_dlunknown
    1086410922  cat > conftest.$ac_ext <<EOF
    10865 #line 10865 "configure"
     10923#line 10923 "configure"
    1086610924#include "confdefs.h"
    1086710925
     
    1320713265   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1320813266   -e 's:$: $lt_compiler_flag:'`
    13209    (eval echo "\"\$as_me:13209: $lt_compile\"" >&5)
     13267   (eval echo "\"\$as_me:13267: $lt_compile\"" >&5)
    1321013268   (eval "$lt_compile" 2>conftest.err)
    1321113269   ac_status=$?
    1321213270   cat conftest.err >&5
    13213    echo "$as_me:13213: \$? = $ac_status" >&5
     13271   echo "$as_me:13271: \$? = $ac_status" >&5
    1321413272   if (exit $ac_status) && test -s "$ac_outfile"; then
    1321513273     # The compiler can only warn and ignore the option if not recognized
     
    1331113369   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1331213370   -e 's:$: $lt_compiler_flag:'`
    13313    (eval echo "\"\$as_me:13313: $lt_compile\"" >&5)
     13371   (eval echo "\"\$as_me:13371: $lt_compile\"" >&5)
    1331413372   (eval "$lt_compile" 2>out/conftest.err)
    1331513373   ac_status=$?
    1331613374   cat out/conftest.err >&5
    13317    echo "$as_me:13317: \$? = $ac_status" >&5
     13375   echo "$as_me:13375: \$? = $ac_status" >&5
    1331813376   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1331913377   then
     
    1488114939   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1488214940   -e 's:$: $lt_compiler_flag:'`
    14883    (eval echo "\"\$as_me:14883: $lt_compile\"" >&5)
     14941   (eval echo "\"\$as_me:14941: $lt_compile\"" >&5)
    1488414942   (eval "$lt_compile" 2>conftest.err)
    1488514943   ac_status=$?
    1488614944   cat conftest.err >&5
    14887    echo "$as_me:14887: \$? = $ac_status" >&5
     14945   echo "$as_me:14945: \$? = $ac_status" >&5
    1488814946   if (exit $ac_status) && test -s "$ac_outfile"; then
    1488914947     # The compiler can only warn and ignore the option if not recognized
     
    1498515043   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1498615044   -e 's:$: $lt_compiler_flag:'`
    14987    (eval echo "\"\$as_me:14987: $lt_compile\"" >&5)
     15045   (eval echo "\"\$as_me:15045: $lt_compile\"" >&5)
    1498815046   (eval "$lt_compile" 2>out/conftest.err)
    1498915047   ac_status=$?
    1499015048   cat out/conftest.err >&5
    14991    echo "$as_me:14991: \$? = $ac_status" >&5
     15049   echo "$as_me:15049: \$? = $ac_status" >&5
    1499215050   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1499315051   then
     
    1719217250   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1719317251   -e 's:$: $lt_compiler_flag:'`
    17194    (eval echo "\"\$as_me:17194: $lt_compile\"" >&5)
     17252   (eval echo "\"\$as_me:17252: $lt_compile\"" >&5)
    1719517253   (eval "$lt_compile" 2>conftest.err)
    1719617254   ac_status=$?
    1719717255   cat conftest.err >&5
    17198    echo "$as_me:17198: \$? = $ac_status" >&5
     17256   echo "$as_me:17256: \$? = $ac_status" >&5
    1719917257   if (exit $ac_status) && test -s "$ac_outfile"; then
    1720017258     # The compiler can only warn and ignore the option if not recognized
     
    1746017518   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1746117519   -e 's:$: $lt_compiler_flag:'`
    17462    (eval echo "\"\$as_me:17462: $lt_compile\"" >&5)
     17520   (eval echo "\"\$as_me:17520: $lt_compile\"" >&5)
    1746317521   (eval "$lt_compile" 2>conftest.err)
    1746417522   ac_status=$?
    1746517523   cat conftest.err >&5
    17466    echo "$as_me:17466: \$? = $ac_status" >&5
     17524   echo "$as_me:17524: \$? = $ac_status" >&5
    1746717525   if (exit $ac_status) && test -s "$ac_outfile"; then
    1746817526     # The compiler can only warn and ignore the option if not recognized
     
    1756417622   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1756517623   -e 's:$: $lt_compiler_flag:'`
    17566    (eval echo "\"\$as_me:17566: $lt_compile\"" >&5)
     17624   (eval echo "\"\$as_me:17624: $lt_compile\"" >&5)
    1756717625   (eval "$lt_compile" 2>out/conftest.err)
    1756817626   ac_status=$?
    1756917627   cat out/conftest.err >&5
    17570    echo "$as_me:17570: \$? = $ac_status" >&5
     17628   echo "$as_me:17628: \$? = $ac_status" >&5
    1757117629   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1757217630   then
     
    2521925277s,@ALWAYS_FALSE_TRUE@,$ALWAYS_FALSE_TRUE,;t t
    2522025278s,@ALWAYS_FALSE_FALSE@,$ALWAYS_FALSE_FALSE,;t t
     25279s,@have_svnversion@,$have_svnversion,;t t
     25280s,@CBC_SVN_REV@,$CBC_SVN_REV,;t t
    2522125281s,@CDEFS@,$CDEFS,;t t
    2522225282s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
  • branches/split/Cbc/configure.ac

    r1445 r1446  
    4242# externals.  The following macro ensures that those externals are
    4343# retrieved by svn if they are not there yet.
    44 AC_COIN_PROJECTDIR_INIT
     44AC_COIN_PROJECTDIR_INIT(Cbc)
    4545
    4646# Check if user wants to produce debugging code
  • branches/split/Cbc/inc/config_cbc.h.in

    r1444 r1446  
    88#undef CBC_DEFAULT_SOLVER
    99
     10/* SVN revision number of project */
     11#undef CBC_SVN_REV
     12
    1013/* Define to 1 if the SMP version of Cbc should be compiled */
    1114#undef CBC_THREAD
     15
     16/* Version number of project */
     17#undef CBC_VERSION
    1218
    1319/* Define to the debug sanity check level (0 is no test) */
  • branches/split/Cbc/src/Makefile.in

    r1445 r1446  
    258258CBC_BUILD_CBC_GENERIC_FALSE = @CBC_BUILD_CBC_GENERIC_FALSE@
    259259CBC_BUILD_CBC_GENERIC_TRUE = @CBC_BUILD_CBC_GENERIC_TRUE@
     260CBC_SVN_REV = @CBC_SVN_REV@
    260261CC = @CC@
    261262CCDEPMODE = @CCDEPMODE@
     
    444445have_automake = @have_automake@
    445446have_svn = @have_svn@
     447have_svnversion = @have_svnversion@
    446448host = @host@
    447449host_alias = @host_alias@
  • branches/split/Cbc/src/OsiCbc/Makefile.in

    r1445 r1446  
    125125CBC_BUILD_CBC_GENERIC_FALSE = @CBC_BUILD_CBC_GENERIC_FALSE@
    126126CBC_BUILD_CBC_GENERIC_TRUE = @CBC_BUILD_CBC_GENERIC_TRUE@
     127CBC_SVN_REV = @CBC_SVN_REV@
    127128CC = @CC@
    128129CCDEPMODE = @CCDEPMODE@
     
    311312have_automake = @have_automake@
    312313have_svn = @have_svn@
     314have_svnversion = @have_svnversion@
    313315host = @host@
    314316host_alias = @host_alias@
  • branches/split/Cbc/test/Makefile.in

    r1445 r1446  
    145145CBC_BUILD_CBC_GENERIC_FALSE = @CBC_BUILD_CBC_GENERIC_FALSE@
    146146CBC_BUILD_CBC_GENERIC_TRUE = @CBC_BUILD_CBC_GENERIC_TRUE@
     147CBC_SVN_REV = @CBC_SVN_REV@
    147148CC = @CC@
    148149CCDEPMODE = @CCDEPMODE@
     
    331332have_automake = @have_automake@
    332333have_svn = @have_svn@
     334have_svnversion = @have_svnversion@
    333335host = @host@
    334336host_alias = @host_alias@
  • branches/split/Externals

    r1437 r1446  
    1 BuildTools        https://projects.coin-or.org/svn/BuildTools/branches/split
     1BuildTools        https://projects.coin-or.org/svn/BuildTools/trunk
    22#Data/miplib3       https://projects.coin-or.org/svn/Data/stable/1.0/miplib3
  • branches/split/Makefile.in

    r1437 r1446  
    109109CDEFS = @CDEFS@
    110110CFLAGS = @CFLAGS@
     111COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
     112COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     113COIN_PKG_CONFIG_PATH = @COIN_PKG_CONFIG_PATH@
    111114COIN_SKIP_PROJECTS = @COIN_SKIP_PROJECTS@
    112115CPP = @CPP@
  • branches/split/configure

    r1437 r1446  
    486486ac_subdirs_all="$ac_subdirs_all Vol"
    487487ac_subdirs_all="$ac_subdirs_all Cbc"
    488 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_SKIP_PROJECTS subdirs LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     488ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_SKIP_PROJECTS subdirs LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    489489ac_subst_files=''
    490490
     
    11391139  --with-tags[=TAGS]
    11401140                          include additional configurations [automatic]
     1141  --with-coin-instdir     prefix of installation directory for precompiled
     1142                          COIN packages
    11411143  --with-blas-lib linker flags for using project Blas
    11421144  --with-blas-incdir directory with header files for using project Blas
    11431145  --with-blas-datadir directory with data files for using project Blas
    1144   --with-coin-instdir     prefix of installation directory for precompiled
    1145                           COIN packages
    11461146  --with-lapack-lib linker flags for using project Lapack
    11471147  --with-lapack-incdir directory with header files for using project Lapack
     
    2098920989
    2099020990
     20991
     20992if test -n "$PKG_CONFIG"; then
     20993  COIN_HAS_PKGCONFIG_TRUE=
     20994  COIN_HAS_PKGCONFIG_FALSE='#'
     20995else
     20996  COIN_HAS_PKGCONFIG_TRUE='#'
     20997  COIN_HAS_PKGCONFIG_FALSE=
     20998fi
     20999
     21000
     21001
     21002# assemble search path for pkg-config, if we are in a project setup
     21003if test x$coin_projectdir = xyes ; then
     21004  COIN_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21005
     21006  # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
     21007  # best would actually to use ${libdir}, since .pc files get installed into ${libdir}/pkgconfig,
     21008  # unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
     21009  if test -d "${prefix}"; then
     21010    COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     21011  fi
     21012
     21013
     21014# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21015if test "${with_coin_instdir+set}" = set; then
     21016  withval="$with_coin_instdir"
     21017  if test -d "$withval"; then : ; else
     21018       { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21019echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21020   { (exit 1); exit 1; }; }
     21021     fi
     21022     COIN_PKG_CONFIG_PATH="$withval/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     21023
     21024fi;
     21025
     21026  # in a classic setup, we want to find uninstalled projects
     21027  # their (relative) location is written to coin_subdirs.txt by the configure in the project base directory
     21028  # unfortunately, if the user set prefix, then we do not know where the project base directory is located
     21029  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
     21030  if test -e ../coin_subdirs.txt ; then
     21031    for i in `cat ../coin_subdirs.txt` ; do
     21032      COIN_PKG_CONFIG_PATH="`cd ../$i; pwd`:${COIN_PKG_CONFIG_PATH}"
     21033    done
     21034  fi
     21035
     21036  if test -e ../../coin_subdirs.txt ; then
     21037    for i in `cat ../../coin_subdirs.txt` ; do
     21038      COIN_PKG_CONFIG_PATH="`cd ../../$i; pwd`:${COIN_PKG_CONFIG_PATH}"
     21039    done
     21040  fi
     21041
     21042
     21043fi
     21044
     21045
     21046
    2099121047echo "$as_me:$LINENO: checking whether project Blas is available" >&5
    2099221048echo $ECHO_N "checking whether project Blas is available... $ECHO_C" >&6
     
    2278822844Usually this means the macro was only invoked conditionally." >&5
    2278922845echo "$as_me: error: conditional \"HAVE_EXTERNALS\" was never defined.
     22846Usually this means the macro was only invoked conditionally." >&2;}
     22847   { (exit 1); exit 1; }; }
     22848fi
     22849if test -z "${COIN_HAS_PKGCONFIG_TRUE}" && test -z "${COIN_HAS_PKGCONFIG_FALSE}"; then
     22850  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_PKGCONFIG\" was never defined.
     22851Usually this means the macro was only invoked conditionally." >&5
     22852echo "$as_me: error: conditional \"COIN_HAS_PKGCONFIG\" was never defined.
    2279022853Usually this means the macro was only invoked conditionally." >&2;}
    2279122854   { (exit 1); exit 1; }; }
     
    2341723480s,@PKG_CONFIG@,$PKG_CONFIG,;t t
    2341823481s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
     23482s,@COIN_HAS_PKGCONFIG_TRUE@,$COIN_HAS_PKGCONFIG_TRUE,;t t
     23483s,@COIN_HAS_PKGCONFIG_FALSE@,$COIN_HAS_PKGCONFIG_FALSE,;t t
     23484s,@COIN_PKG_CONFIG_PATH@,$COIN_PKG_CONFIG_PATH,;t t
    2341923485s,@COIN_SKIP_PROJECTS@,$COIN_SKIP_PROJECTS,;t t
    2342023486s,@subdirs@,$subdirs,;t t
Note: See TracChangeset for help on using the changeset viewer.